import type { Libp2p } from 'libp2p';
import type { Direction } from '@libp2p/interface-connection';
import { Multiaddr } from '@multiformats/multiaddr';
interface SelfInfo {
    peerId: string;
    multiaddrs: string[];
}
export declare enum ConnectionType {
    Relayed = "relayed",
    Direct = "direct"
}
export interface ConnectionInfo {
    id: string;
    peerId: string;
    multiaddr: string;
    direction: Direction;
    status: string;
    type: ConnectionType;
}
export interface PeerConnectionInfo extends ConnectionInfo {
    isPeerRelay: boolean;
    hopRelayPeerId?: string;
}
export interface DebugInfo {
    selfInfo: SelfInfo;
    connInfo: ConnectionInfo[] | PeerConnectionInfo[];
}
/**
 * Method to get self node info
 * @param node
 * @returns
 */
export declare const getPeerSelfInfo: (node: Libp2p) => SelfInfo;
export declare const getPeerConnectionsInfo: (node: Libp2p) => PeerConnectionInfo[];
export declare const isPrimaryRelay: (multiaddrString: string, primaryRelayMultiaddr: Multiaddr) => boolean;
export {};
