import { Libp2p } from 'libp2p';
import { Multiaddr } from '@multiformats/multiaddr';
import { DebugInfo } from './debug-info.js';
declare enum GRAPH_NODE_COLOR {
    blue = 0,
    green = 2,
    red = 3,
    yellow = 8
}
interface GraphNode {
    colorIndex: GRAPH_NODE_COLOR;
    label: string;
    multiaddrs: string[];
    id: string;
    pseudonym: string;
}
interface GraphLink {
    id: string;
    source: string;
    target: string;
}
interface UpdateGraphDataOptions {
    nodesMap?: Map<string, GraphNode>;
    linksMap?: Map<string, GraphLink>;
    primaryRelayMultiaddr?: Multiaddr;
}
/**
 * Method to create/update graph data with debugInfo
 * @param selfPeerNode
 * @param primaryRelayMultiaddr
 * @param debugInfo
 * @param nodesMap
 * @param linksMap
 */
export declare const updateGraphDataWithDebugInfo: (selfPeerNode: Libp2p, debugInfo: DebugInfo, options: UpdateGraphDataOptions) => {
    nodesMap: Map<string, GraphNode>;
    linksMap: Map<string, GraphLink>;
};
export {};
