/// <reference types="node" />
import type { Libp2p } from 'libp2p';
import type { PeerId } from '@libp2p/interface-peer-id';
import type { Connection } from '@libp2p/interface-connection';
interface PeersLatencyTrackerOptions {
    pingInterval: number;
}
export declare class PeersLatencyTracker {
    private _node;
    private _pingInterval;
    private _intervalID?;
    private _peersLatencyMap;
    private _ping?;
    constructor(node: Libp2p, options: PeersLatencyTrackerOptions);
    get enabled(): boolean;
    getLatencyValues(peerIdString: string): number[] | undefined;
    destroy(): void;
    _setPingMethod(): void;
    _addConnectionListeners(): void;
    _handlePeerConnect(event: CustomEvent<Connection | PeerId>): void;
    _handlePeerDisconnect(event: CustomEvent<Connection | PeerId>): void;
    _getPeerIdFromConnectionEvent({ detail }: CustomEvent<Connection | PeerId>): PeerId;
    _startLatencyTracker(): NodeJS.Timer;
    _updatePeersLatency(): void;
}
export {};
